$(function(){
$("#vector-map").dxVectorMap({
layers: [{
dataSource: DevExpress.viz.map.sources.world,
hoverEnabled: false
}, {
name: "bubbles",
dataSource: markers,
elementType: "bubble",
dataField: "value",
minSize: 20,
maxSize: 40,
sizeGroups: [0, 8000, 10000, 50000],
opacity: 0.8
}],
tooltip: {
enabled: true,
customizeTooltip: function (arg) {
if (arg.layer.type === "marker") {
return { text: arg.attribute("tooltip") };
}
}
},
legends: [{
source: { layer: "bubbles", grouping: "size" },
markerShape: "circle",
customizeText: function (arg) {
return ["< 8000K", "8000K to 10000K", "> 10000K"][arg.index];
},
customizeItems: function(items){
return items.reverse();
}
}],
bounds: [-180, 85, 180, -60]
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/dx.all.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/world.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/africa.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/canada.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/eurasia.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/europe.js"></script>
<script src="https://cdn3.devexpress.com/jslib/20.2.6/js/vectormap-data/usa.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="vector-map"></div>
</div>
</body>
</html>
#vector-map {
height: 440px;
}
var markers = {
type: "FeatureCollection",
features: $.map([
{
coordinates: [-74, 40.7],
text: "New York City",
value: 8406
},
{
coordinates: [100.47, 13.75],
text: "Bangkok",
value: 8281
},
{
coordinates: [44.43, 33.33],
text: "Baghdad",
value: 7181
},
{
coordinates: [37.62, 55.75],
text: "Moscow",
value: 12111
},
{
coordinates: [121.5, 31.2],
text: "Shanghai",
value: 24150
},
{
coordinates: [-43.18, -22.9],
text: "Rio de Janeiro",
value: 6429
},
{
coordinates: [31.23, 30.05],
text: "Cairo",
value: 8922
},
{
coordinates: [28.95, 41],
text: "Istanbul",
value: 14160
},
{
coordinates: [127, 37.55],
text: "Seoul",
value: 10388
},
{
coordinates: [139.68, 35.68],
text: "Tokyo",
value: 9071
},
{
coordinates: [103.83, 1.28],
text: "Singapore",
value: 5399
},
{
coordinates: [30.3, 59.95],
text: "Saint Petersburg",
value: 5131
},
{
coordinates: [28.03, -26.2],
text: "Johannesburg",
value: 4434
},
{
coordinates: [144.95, -37.8],
text: "Melbourne",
value: 4252
}
], function (data) {
return {
type: "Feature",
geometry: {
type: "Point",
coordinates: data.coordinates
},
properties: {
text: data.text,
value: data.value,
tooltip: "<b>" + data.text + "</b>\n" + data.value + "K"
}
};
})
};

Bubble Markers
Documentation
This example demonstrates how you can flag specific locations on the VectorMap using markers of the «bubble» type. Marker size depends upon the attribute specified by the dataField property.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React from 'react';
import VectorMap, {
Label,
Layer,
Legend,
Source,
Tooltip,
} from 'devextreme-react/vector-map';
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import { markers } from './data.js';
const sizeGroups = [0, 8000, 10000, 50000];
const bounds = [-180, 85, 180, -60];
export default function App() {
return (
<VectorMap
id="vector-map" bounds={bounds}>
<Layer
dataSource={mapsData.world}
hoverEnabled={false}>
</Layer>
<Layer
dataSource={markers}
name="bubbles"
elementType="bubble"
dataField="value"
minSize={20}
maxSize={40}
sizeGroups={sizeGroups}
opacity="0.8">
<Label enabled={false}></Label>
</Layer>
<Tooltip enabled={true}
customizeTooltip={customizeTooltip}
></Tooltip>
<Legend
markerShape="circle"
customizeItems={customizeItems}
customizeText={customizeText}>
<Source layer="bubbles" grouping="size"></Source>
</Legend>
<Tooltip enabled={true}
customizeTooltip={customizeTooltip} />
</VectorMap>
);
}
function customizeTooltip(arg) {
if (arg.layer.type === 'marker') {
return { text: arg.attribute('tooltip') };
}
return null;
}
function customizeText(arg) {
return ['< 8000K', '8000K to 10000K', '> 10000K'][arg.index];
}
function customizeItems(items) {
return items.reverse();
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#vector-map {
height: 440px;
}
export const markers = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [44.43, 33.33],
text: 'Baghdad',
value: 7181,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
text: data.text,
value: data.value,
tooltip: `<b>${data.text}</b>\n${data.value}K`,
},
})),
};
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'devextreme-dist/js/vectormap-data': 'npm:devextreme-dist@23.1.6/js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

Bubble Markers
Documentation
This example demonstrates how you can flag specific locations on the VectorMap using markers of the «bubble» type. Marker size depends upon the attribute specified by the dataField property.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<DxVectorMap
id="vector-map"
:bounds="bounds"
>
<DxLayer
:data-source="mapsWorld"
:hover-enabled="false"
name="areas"
color-grouping-field="population"
/>
<DxLayer
:data-source="markers"
:size-groups="sizeGroups"
:min-size="20"
:max-size="40"
:opacity="0.8"
name="bubbles"
element-type="bubble"
data-field="value"
/>
<DxLegend
:customize-items="customizeItems"
:customize-text="customizeText"
marker-shape="circle"
>
<DxSource
layer="bubbles"
grouping="size"
/>
</DxLegend>
<DxTooltip
:enabled="true"
:customize-tooltip="customizeTooltip"
/>
</DxVectorMap>
</template>
<script>
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import {
DxVectorMap,
DxLabel,
DxLayer,
DxLegend,
DxSource,
DxTooltip,
} from 'devextreme-vue/vector-map';
import { markers } from './data.js';
export default {
components: {
DxVectorMap,
DxLabel,
DxLayer,
DxLegend,
DxSource,
DxTooltip,
},
data() {
return {
markers,
mapsWorld: mapsData.world,
bounds: [-180, 85, 180, -60],
sizeGroups: [0, 8000, 10000, 50000],
};
},
methods: {
customizeTooltip(info) {
if (info.layer.type === 'marker') {
return { text: info.attribute('tooltip') };
}
return null;
},
customizeText({ index }) {
return ['< 8000K', '8000K to 10000K', '> 10000K'][index];
},
customizeItems(items) {
return items.reverse();
},
},
};
</script>
<style>
#vector-map {
height: 440px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
export const markers = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [44.43, 33.33],
text: 'Baghdad',
value: 7181,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
text: data.text,
value: data.value,
tooltip: `<b>${data.text}</b>\n${data.value}K`,
},
})),
};
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'devextreme-dist/js/vectormap-data': 'npm:devextreme-dist@23.1.6/js/vectormap-data',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

Bubble Markers
Documentation
This example demonstrates how you can flag specific locations on the VectorMap using markers of the «bubble» type. Marker size depends upon the attribute specified by the dataField property.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<dx-vector-map id="vector-map" [bounds]="[-180, 85, 180, -60]">
<dxo-tooltip
[enabled]="true"
[customizeTooltip]="customizeTooltip"
></dxo-tooltip>
<dxi-layer [dataSource]="worldMap" [hoverEnabled]="false"></dxi-layer>
<dxi-layer
[dataSource]="markers"
[minSize]="20"
[maxSize]="40"
[sizeGroups]="[0, 8000, 10000, 50000]"
[opacity]="0.8"
name="bubbles"
elementType="bubble"
dataField="value"
></dxi-layer>
<dxi-legend
markerShape="circle"
[customizeText]="customizeText"
[customizeItems]="customizeItems"
>
<dxo-source layer="bubbles" grouping="size"></dxo-source>
</dxi-legend>
</dx-vector-map>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule, BrowserTransferStateModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxVectorMapModule } from 'devextreme-angular';
import * as mapsData from 'devextreme-dist/js/vectormap-data/world.js';
import { FeatureCollection, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
worldMap: any = mapsData.world;
markers: FeatureCollection;
constructor(service: Service) {
this.markers = service.getMarkers();
}
customizeText(arg) {
return ['< 8000K', '8000K to 10000K', '> 10000K'][arg.index];
}
customizeItems(items) {
return items.reverse();
}
customizeTooltip(arg) {
if (arg.layer.type === 'marker') {
return {
text: arg.attribute('tooltip'),
};
}
}
}
@NgModule({
imports: [
BrowserModule,
BrowserTransferStateModule,
DxVectorMapModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #vector-map {
height: 440px;
}
import { Injectable } from '@angular/core';
export class FeatureCollection {
type: string;
features: Feature[];
}
export class Feature {
type: string;
properties: FeatureProperty;
geometry: FeatureGeometry;
}
export class FeatureProperty {
text: string;
value: number;
tooltip: string;
}
export class FeatureGeometry {
type: string;
coordinates: number[];
}
const markers: FeatureCollection = {
type: 'FeatureCollection',
features: [
{
coordinates: [-74, 40.7],
text: 'New York City',
value: 8406,
},
{
coordinates: [100.47, 13.75],
text: 'Bangkok',
value: 8281,
},
{
coordinates: [44.43, 33.33],
text: 'Baghdad',
value: 7181,
},
{
coordinates: [37.62, 55.75],
text: 'Moscow',
value: 12111,
},
{
coordinates: [121.5, 31.2],
text: 'Shanghai',
value: 24150,
},
{
coordinates: [-43.18, -22.9],
text: 'Rio de Janeiro',
value: 6429,
},
{
coordinates: [31.23, 30.05],
text: 'Cairo',
value: 8922,
},
{
coordinates: [28.95, 41],
text: 'Istanbul',
value: 14160,
},
{
coordinates: [127, 37.55],
text: 'Seoul',
value: 10388,
},
{
coordinates: [139.68, 35.68],
text: 'Tokyo',
value: 9071,
},
{
coordinates: [103.83, 1.28],
text: 'Singapore',
value: 5399,
},
{
coordinates: [30.3, 59.95],
text: 'Saint Petersburg',
value: 5131,
},
{
coordinates: [28.03, -26.2],
text: 'Johannesburg',
value: 4434,
},
{
coordinates: [144.95, -37.8],
text: 'Melbourne',
value: 4252,
},
].map((data) => ({
type: 'Feature',
geometry: {
type: 'Point',
coordinates: data.coordinates,
},
properties: {
text: data.text,
value: data.value,
tooltip: `<b>${data.text}</b>\n${data.value}K`,
},
})),
};
@Injectable()
export class Service {
getMarkers(): FeatureCollection {
return markers;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'devextreme-dist/js/vectormap-data': 'npm:devextreme-dist@23.1.6/js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@23.1.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49',
'devextreme-angular': 'npm:devextreme-angular@23.1.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@23.1.6/*/package.json',
'npm:devextreme-angular@23.1.6/ui/*/package.json',
'npm:devextreme-angular@23.1.6/package.json',
'npm:devexpress-diagram@2.2.2/package.json',
'npm:devexpress-gantt@4.1.49/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>